package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.utils.SysUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("获取一周菜谱食堂列表")
public class AppletWeekCanteenVO {
   @ApiModelProperty("菜谱id")
   @JsonFormat(
      shape = JsonFormat.Shape.STRING
   )
   private Long recipeId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("食堂图片")
   private String canteenImgUrl;
   @ApiModelProperty("档口图片")
   private String stallImgUrl;
   @ApiModelProperty("档口标签")
   private List<String> labelList;

   public String getCanteenImgUrl() {
      return SysUtil.getCutFileUrl(this.canteenImgUrl);
   }

   public String getStallImgUrl() {
      return SysUtil.getCutFileUrl(this.stallImgUrl);
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public List<String> getLabelList() {
      return this.labelList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setCanteenImgUrl(final String canteenImgUrl) {
      this.canteenImgUrl = canteenImgUrl;
   }

   public void setStallImgUrl(final String stallImgUrl) {
      this.stallImgUrl = stallImgUrl;
   }

   public void setLabelList(final List<String> labelList) {
      this.labelList = labelList;
   }
}
